Distribution:	CCux
Packager:	Karsten Brockmann <brockmka@rz.fh-augsburg.de>
Summary:	ntop - a network traffic probe
Name:		ntop
Version:	4.0
Release:	1
Group:		Networking/Other
License:	GPL
URL:		http://www.ntop.org/
Source0:	%{name}-%{version}.tar.gz
Source1:	ntop.desktop
Patch0:		ntop-python26.patch
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildArch:	i686
Requires:       libtool zlib openssl libpcap gdbm libgd libpng

BuildRequires:	wget
BuildRequires:  libpcap-devel
BuildRequires:  python26-devel

#Automatically resolved build dependencies
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gdbm-devel
BuildRequires: GeoIP-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libevent-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: lua-devel
BuildRequires: openssl-devel
BuildRequires: pango-devel
BuildRequires: pcre-devel
BuildRequires: pixman-devel
BuildRequires: rrdtool-devel
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
ntop is a network traffic probe that shows the network usage, similar to what the popular top Unix command does. ntop is based on libpcap and it has been written in a portable way in order to virtually run on every Unix platform and on Win32 as well.

%prep
%setup -qn %{name}-%version
%patch0 -p1

%build
./autogen.sh --noconfig
./configure --prefix=%{_prefix} --mandir=%{_mandir} --sysconfdir=%_sysconfdir --localstatedir=%_localstatedir
make 

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

install -m 755 -d $RPM_BUILD_ROOT%_datadir/applications
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%_datadir/applications
install -m 755 -d $RPM_BUILD_ROOT%_localstatedir/ntop

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sysconfdir}/ntop
%{_bindir}/ntop
%{_libdir}/libcpacketPlugin-4.0.so
%{_libdir}/libcpacketPlugin.so
%{_libdir}/libicmpPlugin-4.0.so
%{_libdir}/libicmpPlugin.so
%{_libdir}/libnetflowPlugin-4.0.so
%{_libdir}/libnetflowPlugin.so
%{_libdir}/libntop-4.0.so
%{_libdir}/libntop.a
%{_libdir}/libntop.la
%{_libdir}/libntopreport-4.0.so
%{_libdir}/libntopreport.a
%{_libdir}/libntopreport.la
%{_libdir}/libntopreport.so
%{_libdir}/libntop.so
%{_libdir}/librrdPlugin-4.0.so
%{_libdir}/librrdPlugin.so
%{_libdir}/libsflowPlugin-4.0.so
%{_libdir}/libsflowPlugin.so
%{_libdir}/ntop/plugins/cpacketPlugin.so
%{_libdir}/ntop/plugins/icmpPlugin.so
%{_libdir}/ntop/plugins/netflowPlugin.so
%{_libdir}/ntop/plugins/rrdPlugin.so
%{_libdir}/ntop/plugins/sflowPlugin.so
%{_applications}/ntop.desktop
%{_mandir}/man8/ntop.8.gz
%{_datadir}/ntop


%changelog
* Thu Jul 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.0-1
- Version update
* Fri Oct 23 2009 Christian Metzen <metzench@ccux-linux.de> 3.3.10-1
- Version update
- auto BR
* Fri Nov 25 2005 Christian Metzen <metzench@ccux-linux.de> 3.2-2
- Fixed Bug #0000122
* Wed Nov 09 2005 Christian Metzen <metzench@ccux-linux.de> 3.2-1
- Version update
* Sun Jul 17 2005 Christian Metzen <metzench@ccux-linux.de> 3.1-5
- Modified desktop file, needs terminal
* Sun Jul 17 2005 Christian Metzen <metzench@ccux-linux.de> 3.1-4
- Added localstatedir
* Sun Jul 17 2005 Christian Metzen <metzench@ccux-linux.de> 3.1-3
- corrected .desktop file, correct sysconfdir
* Fri Jul 08 2005 Karsten Brockmkann <brockmka@rz.fh-augsburg.de> 3.1-2
- rebuilt against openssl 0.9.8
* Sat Jun 18 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 3.1-1
- Initial Release
